Package cds.healpix

# Enum Class HealpixNestedBMOC.Status

java.lang.Object
java.lang.Enum<HealpixNestedBMOC.Status>
cds.healpix.HealpixNestedBMOC.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<HealpixNestedBMOC.Status>`, `Constable`

Enclosing class:
  `HealpixNestedBMOC`

public static enum HealpixNestedBMOC.Status extends Enum<HealpixNestedBMOC.Status>
Tells if an element of the MOC is covered or not by a region and, if covered, it tells is the element is partially or fully covered.

Author:
  F.-X. Pineau

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMPTY`
The cell does not cover the region.
`FULL`
The cell is fully covered by the region.
`PARTIAL`
The cell is partially covered by the region.

## Method Summary

Modifier and Type
Method
Description
`static HealpixNestedBMOC.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HealpixNestedBMOC.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EMPTY

public static final HealpixNestedBMOC.Status EMPTY
The cell does not cover the region.

### PARTIAL

public static final HealpixNestedBMOC.Status PARTIAL
The cell is partially covered by the region.

### FULL

public static final HealpixNestedBMOC.Status FULL
The cell is fully covered by the region.

## Method Details

### values

public static HealpixNestedBMOC.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HealpixNestedBMOC.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null